Globals (Catalina Internal API Documentation)
Keywords: org.apache.catalina.Globals class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class Globals

    java.lang.Object
      org.apache.catalina.Globals

public final class Globals
extends java.lang.Object

Global constants that are applicable to multiple packages within Catalina.

Version:
  $Revision: 1.45 $ $Date: 2002/12/04 21:09:07 $
Author:
  Craig R. McClanahan

Field Summary
`static java.lang.String` | `CERTIFICATES_ATTR` The request attribute under which we store the array of X509Certificate objects representing the certificate chain presented by our client, if any.
`static java.lang.String` | `CIPHER_SUITE_ATTR` The request attribute under which we store the name of the cipher suite being used on an SSL connection (as an object of type java.lang.String).
`static java.lang.String` | `CLASS_LOADER_ATTR` The servlet context attribute under which we store the class loader used for loading servlets (as an object of type java.lang.ClassLoader).
`static java.lang.String` | `CLASS_PATH_ATTR` The servlet context attribute under which we store the class path for our application class loader (as an object of type String), delimited with the appropriate path delimiter for this platform.
`static java.lang.String` | `CONTEXT_PATH_ATTR` The request attribute under which the original context path is stored on an included dispatcher request.
`static java.lang.String` | `ERROR_MESSAGE_ATTR` The request attribute under which we forward an HTTP status message (as an object of type STring) to an error page.
`static java.lang.String` | `EXCEPTION_ATTR` The request attribute under which we forward a Java exception (as an object of type Throwable) to an error page.
`static java.lang.String` | `EXCEPTION_PAGE_ATTR` The request attribute under which we forward the request URI (as an object of type String) of the page on which an error occurred.
`static java.lang.String` | `EXCEPTION_TYPE_ATTR` The request attribute under which we forward a Java exception type (as an object of type Class) to an error page.
`static java.lang.String` | `INVOKED_ATTR` The request attribute under which the Invoker servlet will store the invoking servlet path, if it was used to execute a servlet indirectly instead of through a servlet mapping.
`static java.lang.String` | `JSP_FILE_ATTR` The request attribute under which we expose the value of the `<jsp-file>` value associated with this servlet, if any.
`static java.lang.String` | `KEY_SIZE_ATTR` The request attribute under which we store the key size being used for this SSL connection (as an object of type java.lang.Integer).
`static java.lang.String` | `MBEAN_REGISTRY_ATTR` The servlet context attribute under which the managed bean Registry will be stored for privileged contexts (if enabled).
`static java.lang.String` | `MBEAN_SERVER_ATTR` The servlet context attribute under which the MBeanServer will be stored for privileged contexts (if enabled).
`static java.lang.String` | `NAMED_DISPATCHER_ATTR` The request attribute under which we store the servlet name on a named dispatcher request.
`static java.lang.String` | `PATH_INFO_ATTR` The request attribute under which the original path info is stored on an included dispatcher request.
`static java.lang.String` | `QUERY_STRING_ATTR` The request attribute under which the original query string is stored on an included dispatcher request.
`static java.lang.String` | `REQUEST_URI_ATTR` The request attribute under which the original request URI is stored on an included dispatcher request.
`static java.lang.String` | `RESOURCES_ATTR` The JNDI directory context which is associated with the context.
`static java.lang.String` | `SERVLET_NAME_ATTR` The request attribute under which we forward a servlet name to an error page.
`static java.lang.String` | `SERVLET_PATH_ATTR` The request attribute under which the original servlet path is stored on an included dispatcher request.
`static java.lang.String` | `SESSION_COOKIE_NAME` The name of the cookie used to pass the session identifier back and forth with the client.
`static java.lang.String` | `SESSION_PARAMETER_NAME` The name of the path parameter used to pass the session identifier back and forth with the client.
`static java.lang.String` | `SSI_FLAG_ATTR` The servlet context attribute under which we store a flag used to mark this request as having been processed by the SSIServlet.
`static java.lang.String` | `SSL_CERTIFICATE_ATTR` SSL Certificate Request Attributite.
`static java.lang.String` | `STATUS_CODE_ATTR` The request attribute under which we forward an HTTP status code (as an object of type Integer) to an error page.
`static java.lang.String` | `WELCOME_FILES_ATTR` The servlet context attribute under which we record the set of welcome files (as an object of type String[]) for this application.
`static java.lang.String` | `WORK_DIR_ATTR` The servlet context attribute under which we store a temporary working directory (as an object of type File) for use by servlets within this web application.

Constructor Summary
`Globals()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CERTIFICATES_ATTR

    public static final java.lang.String CERTIFICATES_ATTR

  The request attribute under which we store the array of X509Certificate objects representing the certificate chain presented by our client, if any.

  See Also:
    Constant Field Values

### SSL_CERTIFICATE_ATTR

    public static final java.lang.String SSL_CERTIFICATE_ATTR

  SSL Certificate Request Attributite.

  See Also:
    Constant Field Values

### CIPHER_SUITE_ATTR

    public static final java.lang.String CIPHER_SUITE_ATTR

  The request attribute under which we store the name of the cipher suite being used on an SSL connection (as an object of type java.lang.String).

  See Also:
    Constant Field Values

### CLASS_LOADER_ATTR

    public static final java.lang.String CLASS_LOADER_ATTR

  The servlet context attribute under which we store the class loader used for loading servlets (as an object of type java.lang.ClassLoader).

  See Also:
    Constant Field Values

### RESOURCES_ATTR

    public static final java.lang.String RESOURCES_ATTR

  The JNDI directory context which is associated with the context. This context can be used to manipulate static files.

  See Also:
    Constant Field Values

### CLASS_PATH_ATTR

    public static final java.lang.String CLASS_PATH_ATTR

  The servlet context attribute under which we store the class path for our application class loader (as an object of type String), delimited with the appropriate path delimiter for this platform.

  See Also:
    Constant Field Values

### CONTEXT_PATH_ATTR

    public static final java.lang.String CONTEXT_PATH_ATTR

  The request attribute under which the original context path is stored on an included dispatcher request.

  See Also:
    Constant Field Values

### EXCEPTION_ATTR

    public static final java.lang.String EXCEPTION_ATTR

  The request attribute under which we forward a Java exception (as an object of type Throwable) to an error page.

  See Also:
    Constant Field Values

### EXCEPTION_PAGE_ATTR

    public static final java.lang.String EXCEPTION_PAGE_ATTR

  The request attribute under which we forward the request URI (as an object of type String) of the page on which an error occurred.

  See Also:
    Constant Field Values

### EXCEPTION_TYPE_ATTR

    public static final java.lang.String EXCEPTION_TYPE_ATTR

  The request attribute under which we forward a Java exception type (as an object of type Class) to an error page.

  See Also:
    Constant Field Values

### ERROR_MESSAGE_ATTR

    public static final java.lang.String ERROR_MESSAGE_ATTR

  The request attribute under which we forward an HTTP status message (as an object of type STring) to an error page.

  See Also:
    Constant Field Values

### INVOKED_ATTR

    public static final java.lang.String INVOKED_ATTR

  The request attribute under which the Invoker servlet will store the invoking servlet path, if it was used to execute a servlet indirectly instead of through a servlet mapping.

  See Also:
    Constant Field Values

### JSP_FILE_ATTR

    public static final java.lang.String JSP_FILE_ATTR

  The request attribute under which we expose the value of the `<jsp-file>` value associated with this servlet, if any.

  See Also:
    Constant Field Values

### KEY_SIZE_ATTR

    public static final java.lang.String KEY_SIZE_ATTR

  The request attribute under which we store the key size being used for this SSL connection (as an object of type java.lang.Integer).

  See Also:
    Constant Field Values

### MBEAN_REGISTRY_ATTR

    public static final java.lang.String MBEAN_REGISTRY_ATTR

  The servlet context attribute under which the managed bean Registry will be stored for privileged contexts (if enabled).

  See Also:
    Constant Field Values

### MBEAN_SERVER_ATTR

    public static final java.lang.String MBEAN_SERVER_ATTR

  The servlet context attribute under which the MBeanServer will be stored for privileged contexts (if enabled).

  See Also:
    Constant Field Values

### NAMED_DISPATCHER_ATTR

    public static final java.lang.String NAMED_DISPATCHER_ATTR

  The request attribute under which we store the servlet name on a named dispatcher request.

  See Also:
    Constant Field Values

### PATH_INFO_ATTR

    public static final java.lang.String PATH_INFO_ATTR

  The request attribute under which the original path info is stored on an included dispatcher request.

  See Also:
    Constant Field Values

### QUERY_STRING_ATTR

    public static final java.lang.String QUERY_STRING_ATTR

  The request attribute under which the original query string is stored on an included dispatcher request.

  See Also:
    Constant Field Values

### REQUEST_URI_ATTR

    public static final java.lang.String REQUEST_URI_ATTR

  The request attribute under which the original request URI is stored on an included dispatcher request.

  See Also:
    Constant Field Values

### SERVLET_NAME_ATTR

    public static final java.lang.String SERVLET_NAME_ATTR

  The request attribute under which we forward a servlet name to an error page.

  See Also:
    Constant Field Values

### SERVLET_PATH_ATTR

    public static final java.lang.String SERVLET_PATH_ATTR

  The request attribute under which the original servlet path is stored on an included dispatcher request.

  See Also:
    Constant Field Values

### SESSION_COOKIE_NAME

    public static final java.lang.String SESSION_COOKIE_NAME

  The name of the cookie used to pass the session identifier back and forth with the client.

  See Also:
    Constant Field Values

### SESSION_PARAMETER_NAME

    public static final java.lang.String SESSION_PARAMETER_NAME

  The name of the path parameter used to pass the session identifier back and forth with the client.

  See Also:
    Constant Field Values

### SSI_FLAG_ATTR

    public static final java.lang.String SSI_FLAG_ATTR

  The servlet context attribute under which we store a flag used to mark this request as having been processed by the SSIServlet. We do this because of the pathInfo mangling happening when using the CGIServlet in conjunction with the SSI servlet. (value stored as an object of type String)

  See Also:
    Constant Field Values

### STATUS_CODE_ATTR

    public static final java.lang.String STATUS_CODE_ATTR

  The request attribute under which we forward an HTTP status code (as an object of type Integer) to an error page.

  See Also:
    Constant Field Values

### WELCOME_FILES_ATTR

    public static final java.lang.String WELCOME_FILES_ATTR

  The servlet context attribute under which we record the set of welcome files (as an object of type String[]) for this application.

  See Also:
    Constant Field Values

### WORK_DIR_ATTR

    public static final java.lang.String WORK_DIR_ATTR

  The servlet context attribute under which we store a temporary working directory (as an object of type File) for use by servlets within this web application.

  See Also:
    Constant Field Values

Constructor Detail

### Globals

    public Globals()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.